aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoropensource-tnbt <sridhar.rao@spirent.com>2020-04-27 17:20:52 +0530
committeropensource-tnbt <sridhar.rao@spirent.com>2020-04-27 17:23:46 +0530
commit85534e64085aadabfa43ae0073664a7ed401c4ef (patch)
tree47e837c3bac44e808abb97f1434c063f5215bbb7
parentb12d21d5850ade955a54e6296e387871c4b7560f (diff)
Build: Minimal Build for Trafficgen Mode Only Use.
This patch adds minimal build, for user to use vsperf in trafficgen mode (only). The normal build process is unaffected Signed-off-by: Sridhar K. N. Rao <sridhar.rao@spirent.com> Change-Id: I65815d9d0b8d7328df023bfc92a5beedf3235be1
-rwxr-xr-xsystems/build_base_machine.sh37
1 files changed, 26 insertions, 11 deletions
diff --git a/systems/build_base_machine.sh b/systems/build_base_machine.sh
index 59712b96..075d1723 100755
--- a/systems/build_base_machine.sh
+++ b/systems/build_base_machine.sh
@@ -55,11 +55,14 @@ else
distro_dir="$OS_NAME"
fi
-# build base system using OS specific scripts
-if [ -d "$distro_dir" ] && [ -e "$distro_dir/build_base_machine.sh" ]; then
- $SUDO $distro_dir/build_base_machine.sh || die "$distro_dir/build_base_machine.sh failed"
-else
- die "$distro_dir is not yet supported"
+if [ $# -eq 0 ]; then
+ echo "No parameters provided - continuing with Normal Build"
+ # build base system using OS specific scripts
+ if [ -d "$distro_dir" ] && [ -e "$distro_dir/build_base_machine.sh" ]; then
+ $SUDO $distro_dir/build_base_machine.sh || die "$distro_dir/build_base_machine.sh failed"
+ else
+ die "$distro_dir is not yet supported"
+fi
fi
if [ -d "$distro_dir" ] && [ -e "$distro_dir/prepare_python_env.sh" ] ; then
@@ -72,11 +75,23 @@ if [ ! -d /lib/modules/`uname -r`/build ] ; then
die "Kernel devel is not available for active kernel. It can be caused by recent kernel update. Please reboot and run $0 again."
fi
-# download and compile DPDK, OVS and QEMU
-if [ -f ../src/Makefile ] ; then
- cd ../src
- make || die "Make failed"
- cd -
+if [ $# -eq 0 ]; then
+ echo "No parameters provided - continuing with SRC Download and Compile"
+ # download and compile DPDK, OVS and QEMU
+ if [ -f ../src/Makefile ] ; then
+ cd ../src
+ make || die "Make failed"
+ cd -
+ else
+ die "Make failed; No Makefile"
+ fi
else
- die "Make failed; No Makefile"
+ echo "Downloading and compiling only T-Rex"
+ if [ -f ../src/trex/Makefile ]; then
+ cd ../src/trex/
+ make || die "Make failed"
+ cd -
+ else
+ die "Make failed; No Makefile"
+ fi
fi